# Uses of Interface
org.apache.sling.jackrabbit.usermanager.PrincipalNameFilter

Packages that use PrincipalNameFilter
Package
Description
org.apache.sling.jackrabbit.usermanager
org.apache.sling.jackrabbit.usermanager.impl.post

## Uses of PrincipalNameFilter in org.apache.sling.jackrabbit.usermanager

Methods in org.apache.sling.jackrabbit.usermanager with parameters of type PrincipalNameFilter
Modifier and Type
Method
Description
`PrincipalNameGenerator.NameInfo`
PrincipalNameGenerator.`getPrincipalName(Map<String,?> parameters, org.apache.jackrabbit.oak.spi.security.user.AuthorizableType type, PrincipalNameFilter principalNameFilter, PrincipalNameGenerator defaultPrincipalNameGenerator)`
Get the to-be-created principal name candidate from the request.

## Uses of PrincipalNameFilter in org.apache.sling.jackrabbit.usermanager.impl.post

Fields in org.apache.sling.jackrabbit.usermanager.impl.post declared as PrincipalNameFilter
Modifier and Type
Field
Description
`protected PrincipalNameFilter`
AbstractAuthorizablePostServlet.`principalNameFilter`
The optional principal name filter
Methods in org.apache.sling.jackrabbit.usermanager.impl.post with parameters of type PrincipalNameFilter
Modifier and Type
Method
Description
`protected void`
AbstractAuthorizablePostServlet.`bindPrincipalNameFilter(PrincipalNameFilter filter)`
Bind a new principal name filter
`protected void`
CreateGroupServlet.`bindPrincipalNameFilter(PrincipalNameFilter filter)`
`protected void`
CreateUserServlet.`bindPrincipalNameFilter(PrincipalNameFilter filter)`
`PrincipalNameGenerator.NameInfo`
PrincipalNameGeneratorImpl.`getPrincipalName(Map<String,?> parameters, org.apache.jackrabbit.oak.spi.security.user.AuthorizableType type, PrincipalNameFilter principalNameFilter, PrincipalNameGenerator defaultPrincipalNameGenerator)`
Get a "nice" principal name, if possible, based on given request
`protected void`
AbstractAuthorizablePostServlet.`unbindPrincipalNameFilter(PrincipalNameFilter filter)`
`protected void`
CreateGroupServlet.`unbindPrincipalNameFilter(PrincipalNameFilter filter)`
`protected void`
CreateUserServlet.`unbindPrincipalNameFilter(PrincipalNameFilter filter)`